%define commit 3a85439726d1ac4d082308feba45f23859ba71e0

Name:           qml-box2d
Version:        0.1
Release:        %mkrel -c git20240415 2
Summary:        QML Box2D plugin
License:        zlib
Group:          Development/KDE and Qt
Url:            https://github.com/qml-box2d/qml-box2d
Source:         https://github.com/%{name}/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

# Current version incompatible with box2d 2.4+.
#BuildRequires:  pkgconfig(box2d)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  qt6-qtdeclarative
BuildRequires:  qt6-qttools
BuildRequires:  cmake

Requires:       qt6-qtdeclarative

Provides:       bundled(box2d) == 2.3.2

%description
This plugin is meant to be installed to your Qt/imports directory, or shipped
in a directory of which the parent is added as import path.

The goal is to expose the functionality of Box2D as QML components, in order
to make it easy to write physics based games in QML.


%files
%license COPYING
%doc README.md
%{_qt6_qmldir}/Box2D/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{commit}

#rm -rf Box2D

%build
%cmake_qt6 \
  -DUSE_QT6=ON \
  -DUSE_SYSTEM_BOX2D=OFF \
  -DCMAKE_INSTALL_LIBDIR=%{_qt6_qmldir}

%cmake_build

%install
%cmake_install


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.1-0.git20240415.2.mga10
+ Revision: 2235921
- Mageia 10 Mass Rebuild

* Thu Feb 13 2025 daviddavid <daviddavid> 0.1-0.git20240415.1.mga10
+ Revision: 2148708
- update to latest git snapshot 20240415
- switch to Qt6

* Fri Mar 31 2023 daviddavid <daviddavid> 0.1-0.git20220825.1.mga9
+ Revision: 1951050
- update to latest git snapshot 20220825
- switch to cmake build system

* Mon Apr 04 2022 umeabot <umeabot> 0.1-0.git20180406.3.mga9
+ Revision: 1843328
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.1-0.git20180406.2.mga8
+ Revision: 1659498
- Rebuild for new Qt5

* Tue Oct 20 2020 akien <akien> 0.1-0.git20180406.1.mga8
+ Revision: 1637296
- Build against bundled box2d, as 2.4+ is incompatible
- Snapshot 20180406, rebuild with box2d 2.4.1

* Sat Feb 15 2020 umeabot <umeabot> 0.1-0.git20160102.4.mga8
+ Revision: 1525004
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 0.1-0.git20160102.3.mga7
+ Revision: 1384229
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1-0.git20160102.2.mga7
+ Revision: 1300664
- Mageia 7 Mass Rebuild

* Thu Mar 24 2016 animtim <animtim> 0.1-0.git20160102.1.mga6
+ Revision: 995152
- imported package qml-box2d

